using Back.Program.Common.Data;
using Back.Program.Models.Entities;
using Back.Program.Repositories.V1.Interfaces;
using Microsoft.EntityFrameworkCore;

namespace Back.Program.Repositories.V1;

public class PushRepository: IPushRepository
{
    private readonly AppDbContext _context;

    public PushRepository(AppDbContext context)
    {
        _context = context;
    }
    
    
    public async Task<Academy?> FindAcademy(string bid, string? pid, string? category)
    {
        return await _context.Academy.FirstOrDefaultAsync(a => a.bid == bid);
    }

    public async Task<DBPayload?> FindPushPayload(string bid, string pid, string? category)
    {
        throw new NotImplementedException();
    }

    public async Task<User_Academy?> FindUserAcademy(string uid, string bid)
    {
        throw new NotImplementedException();
    }

    public async Task<PushCabinet?> FindPushCabinet(string uid)
    {
        throw new NotImplementedException();
    }

    public async Task<User?> FindUser(string uid)
    {
        throw new NotImplementedException();
    }
}