using Back.Program.Models.Entities;

namespace Back.Program.Repositories.V1.Interfaces;

public interface IPushRepository
{
    Task<Academy?> FindAcademy(string bid);
    Task<DBPayload?> FindPushPayload(string bid, string? pid, string? category);
    Task<User_Academy?> FindUserAcademy(string uid, string bid);
    Task<PushCabinet?> FindPushCabinet(string uid);
    Task<User?> FindUser(string uid);
    
    
}